package com.ruoyi.project.training.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 装置培训计划对象 t_trainingbcc_regular
 *
 * @author ssy
 * @date 2024-06-24
 */
public class TTrainingbccRegular extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 课程代码 */
    @Excel(name = "课程代码")
    private String courseCode;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String item;

    /** 需参培岗位 */
    @Excel(name = "需参培岗位")
    private String actualpostId;

    /** 岗位 */
    private List<String> actualpost;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 计划培训时间 */
    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")
    @Excel(name = "计划培训时间", width = 30, dateFormat = "yyyy-MM")
    private Date planTrainingdate;

    /** 实际完成培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "实际完成培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date actualCompletedate;

    /** 授课人 */
    @Excel(name = "授课人")
    private String lecturer;

    /** 课时 */
    @Excel(name = "课时")
    private String hour;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 指定岗位 */
    @Excel(name = "指定岗位")
    private String designatedPosition;

    /** 指定人员 */
    @Excel(name = "指定人员")
    private String designatedStaff;

    /** 是否涉及其他部门 */
    @Excel(name = "是否涉及其他部门")
    private String involvedMoc;

    /** 不存在计划日期 */
    @Excel(name = "不存在计划日期")
    private String notPlan;

    /** 不确定日期时培训计划日期显示字段 */
    @Excel(name = "不确定日期时培训计划日期显示字段")
    private String notTrainingdate;

    /** 指定其他部门 */
    @Excel(name = "指定其他部门")
    private String designatedOther;

    public List<String> getActualpost() {
        return actualpost;
    }

    public void setActualpost(List<String> actualpost) {
        this.actualpost = actualpost;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCourseCode(String courseCode)
    {
        this.courseCode = courseCode;
    }

    public String getCourseCode()
    {
        return courseCode;
    }
    public void setItem(String item)
    {
        this.item = item;
    }

    public String getItem()
    {
        return item;
    }
    public void setActualpostId(String actualpostId)
    {
        this.actualpostId = actualpostId;
    }

    public String getActualpostId()
    {
        return actualpostId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlanTrainingdate(Date planTrainingdate)
    {
        this.planTrainingdate = planTrainingdate;
    }

    public Date getPlanTrainingdate()
    {
        return planTrainingdate;
    }
    public void setActualCompletedate(Date actualCompletedate)
    {
        this.actualCompletedate = actualCompletedate;
    }

    public Date getActualCompletedate()
    {
        return actualCompletedate;
    }
    public void setLecturer(String lecturer)
    {
        this.lecturer = lecturer;
    }

    public String getLecturer()
    {
        return lecturer;
    }
    public void setHour(String hour)
    {
        this.hour = hour;
    }

    public String getHour()
    {
        return hour;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setDesignatedPosition(String designatedPosition)
    {
        this.designatedPosition = designatedPosition;
    }

    public String getDesignatedPosition()
    {
        return designatedPosition;
    }
    public void setDesignatedStaff(String designatedStaff)
    {
        this.designatedStaff = designatedStaff;
    }

    public String getDesignatedStaff()
    {
        return designatedStaff;
    }
    public void setInvolvedMoc(String involvedMoc)
    {
        this.involvedMoc = involvedMoc;
    }

    public String getInvolvedMoc()
    {
        return involvedMoc;
    }
    public void setNotPlan(String notPlan)
    {
        this.notPlan = notPlan;
    }

    public String getNotPlan()
    {
        return notPlan;
    }
    public void setNotTrainingdate(String notTrainingdate)
    {
        this.notTrainingdate = notTrainingdate;
    }

    public String getNotTrainingdate()
    {
        return notTrainingdate;
    }
    public void setDesignatedOther(String designatedOther)
    {
        this.designatedOther = designatedOther;
    }

    public String getDesignatedOther()
    {
        return designatedOther;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("courseCode", getCourseCode())
            .append("item", getItem())
            .append("actualpostId", getActualpostId())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("planTrainingdate", getPlanTrainingdate())
            .append("actualCompletedate", getActualCompletedate())
            .append("lecturer", getLecturer())
            .append("hour", getHour())
            .append("year", getYear())
            .append("designatedPosition", getDesignatedPosition())
            .append("designatedStaff", getDesignatedStaff())
            .append("involvedMoc", getInvolvedMoc())
            .append("notPlan", getNotPlan())
            .append("notTrainingdate", getNotTrainingdate())
            .append("designatedOther", getDesignatedOther())
            .toString();
    }
}
